PXAUDC(4)

NAME
pxaudc - PXA27x USB device controller

SYNOPSIS
pxaudc0 at pxaip?
usbf* at pxaudc?

DESCRIPTION
The PXA27x USB Device Controller supplies bus interface functions so that the USB Function support driver, usbf(4), can support client-cable USB functions.

The pxaudc driver is able to detect the presence of either host or client cables. If a host cable is detected, the USB pins are routed to the USB host controller, ohci(4), which supplies USB device support for many devices as described in usb(4). If a client cable is detected, the USB pins are directly used by pxaudc to support USB client functionality, as described in usbf(4).

SEE ALSO
ohci(4), usb(4), usbf(4)

AUTHORS
-nosplit The initial pxaudc driver was written by David Gwynne <dlg@openbsd.org>. USB Client support was later developed by Uwe Stuehler <uwe@openbsd.org> and completed by Dale Rahn <drahn@openbsd.org>.